Fórum Root.cz

Hlavní témata => Distribuce => Téma založeno: Arthur 08. 02. 2014, 10:56:58

Název: FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Arthur 08. 02. 2014, 10:56:58
Zdravím,

pokud máte starší AMD Radeon, např. 4xxx series apod, dejte pozor při aktualizaci - do Ubuntu precise-updates vložili nový driver 13.10, který už nepodporuje starší karty.

Zajímavé je, že
1) aktualizace proběhne, i když je systém schopen poznat, že není kompatibilní s HW (v grafickém udělátku pro proprietární drivery FGLRX "správně" zmizí, a tudíž nejde touto cestou odstranit)
2) nejde to korektně odstranit ani přes apt-get: při  pokusu o remove to chce instalovat balíček fglrx-updates ve verzi 13.12, čímž si pochopitelně nijak nepomůžete

takže zřejmě jediná cesta jak z toho ven je
sudo apt-get install fglrx=2:8.960-0ubuntu1 fglrx-amdcccle=2:8.960-0ubuntu1
a hned potom
sudo apt-mark hold fglrx fglrx-amdcccle

PS:
legacy driver podporující starší karty funguje jen do jádra 3.4, takže pokud AMD nevydá novou verzi použitelnou ve 14.04, tak to je asi naposledy co jsem od nich něco koupil
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Pavouk106 08. 02. 2014, 11:02:07
Věř, že je to naposled, co jsi od nich něco koupil. Zpětnou kompatibilitu AMD moc neřeší, takže posledním ovladačem, který si s Tvojí kartou bude povídat, je právě ten, kterej tam má teď... Vítej do světa AMD grafik ;D

(Už jsem se na ně zvysoka vysral, mam NVidii a pískám si)
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Nemo7 08. 02. 2014, 11:37:26
Jde to také vyřešit instalací legacy driveru z PPA od Tomasze Makarewicze.

http://www.ubuntuvibes.com/2013/01/how-to-install-new-amd-catalyst-131.html
https://launchpad.net/~makson96/+archive/fglrx
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Pavel 'TIGER' Růžička 08. 02. 2014, 11:49:00
A to člověk jednou za čas přečte zprávičku, jak se jejich ovladače zlepšují ...
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: mimi.vx 08. 02. 2014, 12:16:14
A k čemu by AMD dělalo drivery k 7-10let starému hw když OSS ovladače funguji lepe než jejich bnary BLOB ?

narozdil od nvidie kde si s OSS ovladači prakticky neškrtnente na ničem ...

btw. Jejich politiku chapu .. mit vlastni drivery pro posledni HW, kde za 2-3 roky bude i použitelný OSS ovladač a pak to nechat na komunitě ..
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Arthur 08. 02. 2014, 12:39:59
Ten HW je koupený před 3.5 roky. OSS ovladač je sice použitelný, ale o hodně víc topí (i v powersafe modu), a nedokáže aplikacím zprostředkovat OpenCL.   Čekal bych podporu o chlup delší než je záruka notebooku.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Ziktofel 08. 02. 2014, 13:24:54
no, mne se povedlo rozjet i ten legacy ovladac na 13.10, ale chtelo to hack

(pouzivam na tom starym ntb periferie, ktery na 12.04 proste nejedou)

http://ubuntuforums.org/showthread.php?p=12823425#poststop
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Nemo7 08. 02. 2014, 13:29:06
Ten HW je koupený před 3.5 roky. OSS ovladač je sice použitelný, ale o hodně víc topí (i v powersafe modu).
Přesně tak, notebook pak s OSS ovladačem hvízdal jak vysavač. :D
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Ziktofel 08. 02. 2014, 18:44:56
no, na 12.04 s 3.11 kernelem by na 64-bitech mely valit ty moje baliky, co jsou v tom odkazu
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Arthur 08. 02. 2014, 21:51:31
no, na 12.04 s 3.11 kernelem by na 64-bitech mely valit ty moje baliky, co jsou v tom odkazu

Mohl byste blíže popsat ten hack ?   Zkusil bych to zreprodukovat na jadre 3.13 nebo co bude ve 14.04.

Díval jsem se na ten odkaz, k čemu je třeba ten repo makson96 ? Proč nestačí ty vaše balíčky ?
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Ziktofel 09. 02. 2014, 11:38:23
ty dalsi balicky jsou kvuli Xkam (coz je potreba pro 13.10)

jinak ten hack spociva v tom, ze jsem sebral patche z archu, ktery vyresej kompatibilitu s novejsim jadrem

proste vyuzivam stejnej hack, jako autor toho ppa to delal az do raringu, pro saucy to uz nevydal
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: JardaP . 09. 02. 2014, 12:17:39
(Už jsem se na ně zvysoka vysral, mam NVidii a pískám si)

Taky na vas dojde. Ani nVidia nepodporuje svuj HW vecne.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Bla 09. 02. 2014, 12:46:11
Buďte rádi, že ovladač alespoň pár let máte, mám tu SAS RAID řadič s LSI chipem a s gigovou cache, ale je k ničemu, protože Linuxový ovladač cache rovnou ignoruje a ještě k tomu se to chová línějc, než když disky připojím rovnou k desce! V průměru ze stripu valí 40 mega za sekundu. Zato ve woknech řadič šlape jako hodinky, jak cache tak přenosvé rychlosti jsou v řádu stovek megabajtů, nejvíc jsem z toho ve stejné konfiguraci vyrazil 280 mega při čtení. Tak tu nebrečte, že vám zlobí grafika s cenovkou pět stovek před pěti lety.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Pavel 'TIGER' Růžička 09. 02. 2014, 14:15:46
Nějak nechápu, co má SAS RAID řadič společného s FGLRX, to chceš, aby Ti fungoval s FGLRX, tak to ti s klidem mohu říct, že to fungovat nebude. Řešíš úplně jiný kus HW, který do tohoto vlákna rozhodně nepatří.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Ziktofel 09. 02. 2014, 14:37:34
JardaP: v ubuntu 14.04 jsou drivery na karty, na ktery nejsou drivery na W7
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: Bla 09. 02. 2014, 14:59:58
Má to společného to, že ovladače jsou a jsou podporované poměrně dlouho!
Mimo to, určitě se to vyřeší patchem.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: clovek 09. 02. 2014, 19:17:40
Taky na vas dojde. Ani nVidia nepodporuje svuj HW vecne.
Netreba vecne. Dolezite je, ze ho podporuje pocas zivotnosti HW.

Riva128 sa zacala vyrabat v roku 1997 a posledny update driverov pre Linux je z polovice roku 2011. Takze 14 rokov plny support.

Na notebooku moja Radeon HD 4350 nie je podporovana uz 4 roky od vyrobenia.
Název: Re:FGLRX, Ubuntu 12.04 - pozor na update
Přispěvatel: nou 09. 02. 2014, 23:31:42
ale AMD predsa vasu kartu podporuje aj pre nu pise ovladac. ten ovladac sa ale nevola fglrx ale r600g